<?php
/**
 * Scripts.
 *
 * @package MadeByAura\Prime\Plugins\Elementor\Hooks
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\Elementor\Hooks;

use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();
use MadeByAura\Prime\Helpers\Vite;

/**
 * Scripts.
 */
class Scripts {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		add_action( 'elementor/preview/enqueue_scripts', [ __CLASS__, 'enqueue_js_files' ] );
	}

	/**
	 * Enqueue JS files.
	 */
	public static function enqueue_js_files() {
		Vite::enqueue_scripts( 'elementor-editor' );
	}
}
